import request from "@/utils/httpRequest";
import { PUBLIC_MODULES_PATH as prefix } from "@/api/AppPath";

export default class LuckyDrawInfoService {
  save (param) {
    return request({
      url: prefix + '/luckyDraw/info/luckyDraw',
      method: 'post',
      data: param
    })
  }
  findByEventId (id) {
    return request({
      url: prefix + '/luckyDraw/info/findByEventId',
      method: 'get',
      params: {id: id}
    })
  }
  list (params) {
    return request({
      url: prefix + '/luckyDraw/info/list',
      method: 'get',
      params: params
    })
  }
  pjList (params) {
    return request({
      url: prefix + '/luckyDraw/info/pjList',
      method: 'get',
      params: params
    })
  }
}
